Name:             quartz
Version:          1.8.3
Release:          1%{?dist}
Summary:          Quartz Enterprise Job Scheduler
Group:            Development/Libraries
License:          ASL 2.0
URL:              http://quartz-scheduler.org/
# svn export http://svn.terracotta.org/svn/quartz/tags/quartz-1.8.3/
# tar caf quartz-1.8.3.tar.xz quartz-1.8.3
Source0:          quartz-1.8.3.tar.xz
Source1:          %{name}.depmap
Patch1:           quartz-1.8.3-remove-modules.diff
Patch2:           quartz-1.8.3-remove-checkstyle.diff
Patch3:           quartz-1.8.3-checkstyle-path.diff
Patch4:           quartz-1.8.3-move-checkstyle-to-reporting.diff
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:        noarch

BuildRequires:    java-devel >= 1:1.6.0
BuildRequires:    jpackage-utils
BuildRequires:    maven2
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-source-plugin
BuildRequires:    maven-checkstyle-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    maven-site-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-resources-plugin
BuildRequires:    maven-surefire-maven-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    rmic-maven-plugin
BuildRequires:    classpathx-mail
BuildRequires:    jta
BuildRequires:    jms
BuildRequires:    servlet
BuildRequires:    ejb_api
BuildRequires:    slf4j
BuildRequires:    commons-dbcp
BuildRequires:    objectweb-asm
BuildRequires:    log4j
BuildRequires:    junit
BuildRequires:    geronimo-parent-poms

Requires:         classpathx-mail
Requires:         jta
Requires:         jms
Requires:         servlet
Requires:         ejb_api
Requires:         slf4j
Requires:         commons-dbcp
Requires:         objectweb-asm
Requires:         log4j

Requires:         java >= 1:1.6.0
Requires:         jpackage-utils
Requires(post):   jpackage-utils
Requires(postun): jpackage-utils

%description
Quartz is a full-featured, open source job scheduling service that can be
integrated with, or used along side virtually any Java EE or Java SE application
- from the smallest stand-alone application to the largest e-commerce system.
Quartz can be used to create simple or complex schedules for executing tens,
hundreds, or even tens-of-thousands of jobs; jobs whose tasks are defined as
standard Java components that are programmed to fulfill the requirements of your
application. The Quartz Scheduler includes many enterprise-class features, such
as JTA transactions and clustering.

%package javadoc
Summary:          Javadoc for %{name}
Group:            Documentation
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q
%patch1 -p0
#%patch2 -p0
#%patch3 -p0
#%patch4 -p1

%build
export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository

mvn-jpp \
        -e \
        -Dmaven2.jpp.mode=true \
        -Dmaven.test.failure.ignore=true \
        -Dmaven2.jpp.depmap.file="%{SOURCE1}" \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        install javadoc:aggregate


%install
rm -rf %{buildroot}

# jars
install -d -m 0755 %{buildroot}%{_javadir}
install -pm 644 %{name}/target/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

# poms
install -d -m 0755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_to_maven_depmap org.quartz-scheduler %{name} %{version} JPP %{name}

# javadoc
install -d -m 0755 %{buildroot}%{_javadocdir}/%{name}-%{version}
cp -pr target/site/api*/* %{buildroot}%{_javadocdir}/%{name}-%{version}/
ln -s %{name}-%{version} %{buildroot}%{_javadocdir}/%{name}

%clean
rm -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(-,root,root,-)
%doc LICENSE.txt
%{_javadir}/*
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%defattr(-,root,root,-)
%doc LICENSE.txt
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}

%changelog
* Fri Jun 9 2010 Chris Spike <chris.spike@arcor.de> 1.8.3-1
- Initial version of the package

